Subject: [PATCH v2 2/2] news: Add entry for udisks configuration change.

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 4 Feb 2025 11:34:31 +0900

* etc/news.scm: Add entry.

Change-Id: Ic60cb95af327647de82e10d1f91304fc70ec2a21
Co-authored-by: Florian Pelz <[email-masked]>
---
 etc/news.scm | 81 +++++++++++++++++++++++++++++++++-------------------
 1 file changed, 52 insertions(+), 29 deletions(-)

diff --git a/etc/news.scm b/etc/news.scm
index b05bb53466..d779f309a0 100644
--- a/etc/news.scm
+++ b/etc/news.scm
@@ -9,7 +9,7 @@
 ;; Copyright © 2020, 2022 Marius Bakke <[email-masked]>
 ;; Copyright © 2020, 2021 Mathieu Othacehe <[email-masked]>
 ;; Copyright © 2020 Jan (janneke) Nieuwenhuizen <[email-masked]>
-;; Copyright © 2020, 2021, 2022, 2023, 2024 Maxim Cournoyer <[email-masked]>
+;; Copyright © 2020-2025 Maxim Cournoyer <[email-masked]>
 ;; Copyright © 2021–2023 Leo Famulari <[email-masked]>
 ;; Copyright © 2021 Zhu Zihao <[email-masked]>
 ;; Copyright © 2021 Chris Marusich <[email-masked]>
@@ -35,6 +35,29 @@
 (channel-news
  (version 0)
 
+ (entry (commit "768f70486347030ae8e73b027d6c71bde10db7e6") ;TODO: adjust before pushing
+        (title
+         (en "Removable devices now mount under @file{/run/media/$USER} instead of @file{/media}")
+         (de "Wechseldatenträger werden jetzt unter @file{/run/media/$USER} statt @file{/media} eingebunden"))
+        (body
+         (en "UDisks, the daemon responsible for allowing unprivileged users
+mounting removable drives in GNOME and other desktop environments, will now
+make them available at mount points under the @file{/run/media/$USER}
+directory instead of directly under @file{/media}.  This will ensure that
+mount points are not erroneously persisted across reboots, after @file{/run}
+is made volatile in a future update.  Users are advised to ensure any backup
+script or solution they use are updated to reflect the new location of the
+mounted removable devices.")
+         (de "UDisks, der Daemon, der dafür sorgt, dass unprivilegierte Nutzer
+externe Laufwerke in GNOME und anderen Arbeitsumgebungen einbinden können,
+wird diese ab sofort an Einhängepunkten im Verzeichnis @file{/run/media/$USER}
+verfügbar machen und nicht mehr direkt in @file{/media}.  Dadurch werden
+Einhängepunkte nach Neustarts nicht mehr erhalten bleiben, sobald @file{/run}
+durch eine kommende Aktualisierung als flüchtig vorgegeben wird.  Wir raten
+unseren Nutzerinnen und Nutzern, Scripts oder Programme anzupassen, mit denen
+sie Backups anlegen, damit diese den neuen Ort für eingebundene
+Wechseldatenträger verwenden.")))
+
  (entry (commit "0aa45f18543552f2396414ab130dab40f8969d27")
         (title
          (en "New @code{%base-home-services} variable for Guix Home")
@@ -525,13 +548,13 @@
 
  (entry (commit "fc35b9fa6d6ed3583d4f3fc9214f657022d49678")
         (title
-          (en "Linux-libre 6.9 removed due to end of upstream support")
-          (de "Linux-libre 6.9 wurde entfernt"))
+         (en "Linux-libre 6.9 removed due to end of upstream support")
+         (de "Linux-libre 6.9 wurde entfernt"))
         (body
-          (en "The linux-libre 6.9 kernel series has reached the end of
+         (en "The linux-libre 6.9 kernel series has reached the end of
              its life, and is no longer supported upstream.  For this
              reason, it has been removed from GNU Guix.")
-          (de "Die @code{linux-libre} 6.9-Versionsreihe hat ihr
+         (de "Die @code{linux-libre} 6.9-Versionsreihe hat ihr
 Supportende erreicht und wird nicht mehr unterstützt („end of life“). Daher ist die
 Versionsreihe aus GNU Guix entfernt worden.")))
 
@@ -657,13 +680,13 @@
 
  (entry (commit "6fad0fd1c32db2cb25447b694f08d5c7836536ad")
         (title
-          (en "Linux-libre 6.8 removed due to end of upstream support")
-          (de "Linux-libre 6.8 wurde entfernt"))
+         (en "Linux-libre 6.8 removed due to end of upstream support")
+         (de "Linux-libre 6.8 wurde entfernt"))
         (body
-          (en "The linux-libre 6.8 kernel series has reached the end of
+         (en "The linux-libre 6.8 kernel series has reached the end of
              its life, and is no longer supported upstream.  For this
              reason, it has been removed from GNU Guix.")
-          (de "Die @code{linux-libre} 6.8-Versionsreihe hat ihr
+         (de "Die @code{linux-libre} 6.8-Versionsreihe hat ihr
 Supportende erreicht und wird nicht mehr unterstützt („end of life“). Daher ist die
 Versionsreihe aus GNU Guix entfernt worden.")))
 
@@ -713,13 +736,13 @@
 
  (entry (commit "238a74c7dfd1469af064b445abcee38fd7408d5b")
         (title
-          (en "Linux-libre 6.7 removed due to end of upstream support")
-          (de "Linux-libre 6.7 wurde entfernt"))
+         (en "Linux-libre 6.7 removed due to end of upstream support")
+         (de "Linux-libre 6.7 wurde entfernt"))
         (body
-          (en "The linux-libre 6.7 kernel series has reached the end of
+         (en "The linux-libre 6.7 kernel series has reached the end of
              its life, and is no longer supported upstream.  For this
              reason, it has been removed from GNU Guix.")
-          (de "Die @code{linux-libre} 6.7-Versionsreihe hat ihr
+         (de "Die @code{linux-libre} 6.7-Versionsreihe hat ihr
 Supportende erreicht und wird nicht mehr unterstützt („end of life“). Daher ist die
 Versionsreihe aus GNU Guix entfernt worden.")))
 
@@ -904,13 +927,13 @@
 
  (entry (commit "10a193596368443f441077525ebbddf787d91e4b")
         (title
-          (en "Linux-libre 4.14 removed due to end of upstream support")
-          (de "Linux-libre 4.14 wurde entfernt"))
+         (en "Linux-libre 4.14 removed due to end of upstream support")
+         (de "Linux-libre 4.14 wurde entfernt"))
         (body
-          (en "The linux-libre 4.14 kernel series has reached the end of
+         (en "The linux-libre 4.14 kernel series has reached the end of
              its life, and is no longer supported upstream.  For this
              reason, it has been removed from GNU Guix.")
-          (de "Die @code{linux-libre} 4.14-Versionsreihe hat ihr
+         (de "Die @code{linux-libre} 4.14-Versionsreihe hat ihr
 Supportende erreicht und wird nicht mehr unterstützt („end of life“). Daher ist die
 Versionsreihe aus GNU Guix entfernt worden.")))
 
@@ -1025,13 +1048,13 @@
 
  (entry (commit "db775e7367e8deffb513aad94f4afb875d796d0b")
         (title
-          (en "Linux-libre 6.3 removed due to end of upstream support")
-          (de "Linux-libre 6.3 wurde entfernt"))
+         (en "Linux-libre 6.3 removed due to end of upstream support")
+         (de "Linux-libre 6.3 wurde entfernt"))
         (body
-          (en "The linux-libre 6.3 kernel series has reached the end of
+         (en "The linux-libre 6.3 kernel series has reached the end of
              its life, and is no longer supported upstream.  For this
              reason, it has been removed from GNU Guix.")
-          (de "Vom Kernel @code{linux-libre} wird die 6.3-Versionsreihe keine
+         (de "Vom Kernel @code{linux-libre} wird die 6.3-Versionsreihe keine
 Unterstützung von dessen Anbieter mehr erfahren („end of life“).  Daher ist es
 aus GNU Guix entfernt worden.")))
 
@@ -1434,13 +1457,13 @@
 
  (entry (commit "9ea37eb9f5329c213757bbfe5d9241cde8433858")
         (title
-          (en "Linux-libre 6.0 removed due to end of upstream support")
-          (de "Linux-libre 6.0 wurde entfernt"))
+         (en "Linux-libre 6.0 removed due to end of upstream support")
+         (de "Linux-libre 6.0 wurde entfernt"))
         (body
-          (en "The linux-libre 6.0 kernel series has reached the end of
+         (en "The linux-libre 6.0 kernel series has reached the end of
              its life, and no longer supported upstream.  For this
              reason, it has been removed from GNU Guix.")
-          (de "Vom Kernel @code{linux-libre} wird die 6.0-Versionsreihe keine
+         (de "Vom Kernel @code{linux-libre} wird die 6.0-Versionsreihe keine
 Unterstützung von dessen Anbieter mehr erfahren („end of life“).  Daher ist es
 aus GNU Guix entfernt worden.")))
 
@@ -1462,13 +1485,13 @@
 
  (entry (commit "064c5b7e450f9f6d55cfcd0ec2bc9e96ee0b2958")
         (title
-          (en "Linux-libre 4.9 removed due to end of upstream support")
-          (de "Linux-libre 4.9 wurde entfernt"))
+         (en "Linux-libre 4.9 removed due to end of upstream support")
+         (de "Linux-libre 4.9 wurde entfernt"))
         (body
-          (en "The linux-libre 4.9 kernel series has reach the end of its life,
+         (en "The linux-libre 4.9 kernel series has reach the end of its life,
 and is no longer supported upstream.  For this reason, it has been removed from
 GNU Guix.")
-          (de "Vom Kernel @code{linux-libre} wird die 4.9-Versionsreihe keine
+         (de "Vom Kernel @code{linux-libre} wird die 4.9-Versionsreihe keine
 Unterstützung von dessen Anbieter mehr erfahren („end of life“).  Daher ist es
 aus GNU Guix entfernt worden.")))
 
-- 
2.48.1